Indie game storeFree gamesFun gamesHorror games
Game developmentAssetsComics
SalesBundles
Jobs

yeah it's built with version 0.10.1 so it won't work with the new API. I think you would need to run it on an older version of love2d to make it work on Linux.